Viewing Issue Advanced Details Jump to Notes ] seta.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04877 Graphics Minor Always May 28, 2012, 04:31 Jul 8, 2015, 12:41
Tester M.A.S.H. View Status Public Platform MAME (Self-compiled)
Assigned To Mamesick Resolution Fixed OS Windows XP
Status [?] Resolved   Driver seta.cpp
Version 0.146 Fixed in Version 0.164 Build Normal
Summary 04877: usclssic: Graphics are shifted.
Description U.S. Classic has a big ugly bar on the left since 0.144u3.
Comparing the soucre from 0.144u2 and u3 i found a typo in drivers\seta.c (see snapshot).
Changing the MCFG_SCREEN_SIZE in line 7659 back to 32 the graphic bug is gone!
Steps To Reproduce
Additional Information Fixed the summary from "Visible area problem" into "Graphics are shifted."
Flags
Regression Version 0.144u3
Affected Sets / Systems usclssic
Attached Files
png file icon usclssic-0146.png (52,026 bytes)  May 28, 2012, 04:31 by M.A.S.H.
M.A.S.H.
png file icon usclssic_0144u2-0144u3.png (33,187 bytes)  May 28, 2012, 04:31 by M.A.S.H.
M.A.S.H.
png file icon 0000.png (45,823 bytes)  May 28, 2012, 19:50 by haynor
haynor

- Relationships
related to 04405ResolvedMamesick tndrcade + others: Offset issues in seta drivers 

-  Notes
User avatar
No.08688
haynor666
(Tester)
May 28, 2012, 19:50
edited on: May 28, 2012, 19:51
More like shifted a bit, Attached screenshot

User avatar
No.08690
Fujix
(Administrator)
May 29, 2012, 01:49
Fixed the report summary.
User avatar
No.08691
Haze
(Senior Tester)
May 29, 2012, 01:51
edited on: May 29, 2012, 01:57
I think It's just this bug

http://www.mametesters.org/view.php?id=4405

(this is something anybody can do...)

(or actually if the size was changed to 33*8 that does look suspicious, could be a combination of both issues?)

User avatar
No.11857
Mamesick
(Senior Tester)
Jul 8, 2015, 12:41
Fixed using what M.A.S.H. suggested, after verifying that all offsets are right for this game